Subject: bug#50523: closed (Re: bug#50523: /etc/timezone should probably have a final newline)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 14 Sep 2021 09:54:02 +0000

Your bug report

#50523: /etc/timezone should probably have a final newline

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50523: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50523
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50523: /etc/timezone should probably have a final newline
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 14 Sep 2021 11:53:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

[email-masked] skribis:

> This is either an R or Guix bug, but from the discussion at https://community.rstudio.com/t/incomplete-final-line-found-whats-the-big-deal/56536, I infer that files should generally end in a newline anyway.
>
> My bug: every time I start R, I get the following warning, which is unpleasant.
>
> Warning message:
> In readLines("/etc/timezone") :
>   incomplete final line found on '/etc/timezone'

Fixed in 580984f2417853379d98ea927fd95c0f0fbe2c97, thanks!

Ludo’.

Subject: /etc/timezone should probably have a final newline
From: [email-masked]
To: [email-masked]
Date: Sat, 11 Sep 2021 18:08:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This is either an R or Guix bug, but from the discussion at https://community.rstudio.com/t/incomplete-final-line-found-whats-the-big-deal/56536, I infer that files should generally end in a newline anyway.

My bug: every time I start R, I get the following warning, which is unpleasant.

Warning message:
In readLines("/etc/timezone") :
  incomplete final line found on '/etc/timezone'